/// <reference types="node" />
declare module 'cbor' {
    function encodeCanonical(input: CBORValue): Buffer;
}
declare type CBORValue = unknown;
interface Headers {
    [key: string]: string;
}
export declare class BundleBuilder {
    private primaryURL;
    private sectionLengths;
    private sections;
    private responses;
    private index;
    private currentResponsesOffset;
    constructor(primaryURL: string);
    createBundle(): Buffer;
    addExchange(url: string, status: number, headers: Headers, payload: Uint8Array | string): void;
    setManifestURL(url: string): void;
    private addSection;
    private addResponse;
    private addIndexEntry;
    private fixupIndex;
    private createTopLevel;
}
export {};
